com.sun.grid.jgdi.event

## Class ModEvent

- java.lang.Object
- - com.sun.grid.jgdi.event.Event
  - - com.sun.grid.jgdi.event.ChangedObjectEvent
    - - com.sun.grid.jgdi.event.ModEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AdminHostModEvent, AdvanceReservationModEvent, CalendarModEvent, CheckpointModEvent, ClusterQueueModEvent, ComplexEntryModEvent, ConfigurationModEvent, ExecHostModEvent, HostgroupModEvent, JobModEvent, JobSchedulingInfoModEvent, JobTaskModEvent, ManagerModEvent, OperatorModEvent, ParallelEnvironmentModEvent, PETaskModEvent, ProjectModEvent, QueueInstanceModEvent, ResourceQuotaSetModEvent, SchedConfModEvent, ShareTreeModEvent, SubmitHostModEvent, UserModEvent, UserSetModEvent

      public abstract class ModEvent
      extends ChangedObjectEvent
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModEvent(long timestamp, int eventId, java.lang.Class objectType)` Creates a new instance of AbstractDelEvent

  - ### Method Summary

    - ### Methods inherited from class com.sun.grid.jgdi.event.ChangedObjectEvent

      `getChangedObject, getObjectType, setChangedObject, setPKInfo, toString`

    - ### Methods inherited from class com.sun.grid.jgdi.event.Event

      `getEventId, getTimestamp, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModEvent

          public ModEvent(long timestamp,
                          int eventId,
                          java.lang.Class objectType)

      Creates a new instance of AbstractDelEvent

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.